#include "../LinearAlgebra/Spherical.h"
#include "../LinearAlgebra/SwingTwist.h"

namespace Passer::Control {

class LowLevelMessages {
public:
  static void SendAngle8(unsigned char *buffer, unsigned char *ix,
                         const float angle);
  static void SendFloat16(unsigned char *buffer, unsigned char *ix,
                          float value);
  static void SendSpherical16(unsigned char *buffer, unsigned char *ix,
                              Spherical16 s);
  static void SendQuat32(unsigned char *buffer, unsigned char *ix,
                         SwingTwist16 q);
};

} // namespace Passer::Control
using namespace Passer::Control;